> ## Documentation Index
> Fetch the complete documentation index at: https://docs.creatify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get voices with pagination

> Returns a paginated list.



## OpenAPI

````yaml get /api/voices/paginated/
openapi: 3.0.3
info:
  title: creatify.ai API
  version: 1.0.0
  description: API for creatify.ai
servers: []
security: []
paths:
  /api/voices/paginated/:
    get:
      tags:
        - voices
      description: Returns a paginated list.
      operationId: voices_paginated_retrieve
      parameters:
        - in: query
          name: page
          schema:
            type: integer
            minimum: 1
            default: 1
          description: Page number to fetch
        - in: query
          name: page_size
          schema:
            type: integer
            minimum: 1
            default: 10
          description: Number of items per page
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_APIVoice'
          description: ''
      security:
        - X-API-ID: []
          X-API-KEY: []
components:
  schemas:
    PaginatedResponse_APIVoice:
      type: object
      properties:
        count:
          type: integer
        next:
          type: string
          nullable: true
        previous:
          type: string
          nullable: true
        results:
          type: array
          items:
            $ref: '#/components/schemas/APIVoice'
      required:
        - count
        - next
        - previous
        - results
    APIVoice:
      type: object
      properties:
        name:
          type: string
          maxLength: 255
        gender:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/APIVoiceGenderEnum'
            - $ref: '#/components/schemas/BlankEnum'
            - $ref: '#/components/schemas/NullEnum'
        accents:
          type: array
          items:
            $ref: '#/components/schemas/Accent'
          readOnly: true
      required:
        - accents
        - name
    APIVoiceGenderEnum:
      enum:
        - male
        - female
        - non_binary
      type: string
      description: |-
        * `male` - Male
        * `female` - Female
        * `non_binary` - Non Binary
    BlankEnum:
      enum:
        - ''
    NullEnum:
      enum:
        - null
    Accent:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        accent_name:
          type: string
          readOnly: true
        preview_url:
          type: string
          readOnly: true
      required:
        - accent_name
        - id
        - preview_url
  securitySchemes:
    X-API-ID:
      type: apiKey
      in: header
      name: X-API-ID
      description: API ID, from your settings page.
    X-API-KEY:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API Key, from your settings page.

````